Public Class ServiceError
    Public Shared Event ServiceError(type As String, msg As String)

    Public Shared Sub RecodeError(type As String, msg As String)
        RaiseEvent ServiceError(type, msg)
    End Sub
End Class
